Subject: RE: [Fwd: RE: Proposed change to 5..4.1 of PWE3 architectu re]

From: Sasha Vainshtein <[email-masked]>
Date: Tue, 23 Mar 2004 18:37:09 +0200

Stewart and all,
I think that once references to the appropriate protocol specs
to go with each explicitly mentioned type of PW demultiplexing 
are added, the text is OK.

Sorry for complicating things, but how, hopefully, my position
is clear.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked] <mailto:[email-masked]> 
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Tuesday, March 23, 2004 6:31 PM
> To: Ron Cohen; Sasha Vainshtein; Yaakov Stein
> Cc: [email-masked]
> Subject: [Fwd: RE: [PWE3] Proposed change to 5..4.1 of PWE3 
> architecture]
> 
> 
> 
> I lost track in some of the thread that followed this.
> 
> Sasha wants references to UDP, L2TP etc. These I can add.
> 
> There was some discussion about control protocols for UDP.
> These are not excluded by the proposed text, and we do
> not have a proposal for such a protocol.
> 
> I think that you all agreed that although not optimal
> the text is technicall correct.
> 
> Can we live with this and move on?
> 
> If not, please can we focus on specific edit proposals
> to this section.
> 
> Thanks
> 
> Stewart
> 
> 
> -------- Original Message --------
> Subject: RE: [PWE3] Proposed change to 5..4.1 of PWE3 architecture
> Date: Mon, 22 Mar 2004 09:35:29 +0000
> From: Stewart Bryant <[email-masked]>
> Reply-To: [email-masked]
> Organization: Cisco Systems, Inc.
> To: [email-masked] <[email-masked]>
> 
> Following Ron's input, the proposed new text for 5.4.1 is:
> 
> 
> 5.4.1. PWE3 over an IP PSN
> 
>     The protocol definition of PWE3 over an IP PSN should 
> employ existing
>     IETF protocols where possible.
> 
>         +---------------------+              
> +-------------------------+
>         |      Payload        |------------->| Raw payload if 
> possible |
>         /=====================\              
> +-------------------------+
>         H Payload Convergence H-----------+->|     Flags, seq 
> # etc    |
>         H---------------------H          /   
> +-------------------------+
>         H       Timing        H---------/--->|            RTP 
>          |
>         H---------------------H        /     +-------------+  
>          |
>         H     Sequencing      H----one of    |             |
>         \=====================/        \     |             
> +-----------+
>         |  PW Demultiplexer   |---------+--->|     L2TP, MPLS 
> etc.     |
>         +---------------------+              
> +-------------------------+
>         |  PSN Convergence    |------------->|       Not 
> needed        |
>         +---------------------+              
> +-------------------------+
>         |        PSN          |------------->|            IP  
>          |
>         +---------------------+              
> +-------------------------+
>         |      Data-link      |------------->|         
> Data-link       |
>         +---------------------+              
> +-------------------------+
>         |       Physical      |------------->|          
> Physical       |
>         +---------------------+              
> +-------------------------+
> 
>       Figure 10: PWE3 over an IP PSN
> 
>     Figure 10 shows the protocol layering for PWE3 over an IP 
> PSN. As a
>     rule, the payload should be carried as received from the NSP, with
>     the Payload Convergence Layer provided when needed.  However in
>     certain circumstances it may be justifiable to transmit 
> the payload
>     in some processed form. The reasons for this must be documented in
>     the Encapsulation Layer definition for that payload type.
> 
>     Where appropriate, explicit timing is provided by RTP [RFC3550],
>     which when used also provides a sequencing service.  When 
> the PSN is
>     UDP/IP, the RTP header follows the UDP header and precedes the PW
>     control field, while for all other cases the RTP header 
> follows the
>     PW control header.
> 
>     The encapsulation layer may additionally carry a sequence number;
>     sequencing is to be provided either by RTP, or by the PW
>     encapsulation layer but not both.
> 
>     PW Demultiplexing is provided by the PW label, which may take the
>     form specified in a number of IETF protocols,  e.g. an 
> MPLS label, an
>     L2TP session ID, or a UDP port number.
> 
>     When PWs are carried over IP the PSN Convergence Layer will not be
>     needed.
> 
>     As a special case, if the PW Demultiplexer is an MPLS label, the
>     protocol architecture of section 5.4.2 must be used instead of the
>     protocol architecture of this section.
> 
> ========================
> 
> This differs from the previous CHANGED text in the last 
> sentence in that
> it used to read "section 5.4.2 can be used" and now reads 
> "section 5.4.2
> must be used"
> 
> 
> 
> 
> 
> 
>